Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QAbstractSocket.SocketError

    java.lang.Object
      java.lang.Enum<QAbstractSocket.SocketError>
          com.trolltech.qt.network.QAbstractSocket.SocketError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractSocket.SocketError>

Enclosing class:
  QAbstractSocket

    public static enum QAbstractSocket.SocketError

extends java.lang.Enum<QAbstractSocket.SocketError>
implements QtEnumerator

This enum describes the socket errors that can occur.

Used by QAbstractSocketEngine only, this error indicates that the last operation could not complete.

See Also:
  `QAbstractSocket::error`

Enum Constant Summary
`AddressInUseError` The address specified to QUdpSocket::bind() is already in use and was set to be exclusive.
`ConnectionRefusedError` The connection was refused by the peer (or timed out).
`DatagramTooLargeError` The datagram was larger than the operating system's limit (which can be as low as 8192 bytes).
`HostNotFoundError` The host address was not found.
`NetworkError` An error occurred with the network (e.g., the network cable was accidentally plugged out).
`ProxyAuthenticationRequiredError` The socket is using a proxy, and the proxy requires authentication.
`RemoteHostClosedError` The remote host closed the connection.
`SocketAccessError` The socket operation failed because the application lacked the required privileges.
`SocketAddressNotAvailableError` The address specified to QUdpSocket::bind() does not belong to the host.
`SocketResourceError` The local system ran out of resources (e.g., too many sockets).
`SocketTimeoutError` The socket operation timed out.
`UnfinishedSocketOperationError` Internal.
`UnknownSocketError` An unidentified error occurred.
`UnsupportedSocketOperationError` The requested socket operation is not supported by the local operating system (e.g., lack of IPv6 support).

Method Summary
`static QAbstractSocket.SocketError` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSocket.SocketError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractSocket.SocketError[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ConnectionRefusedError

    public static final QAbstractSocket.SocketError ConnectionRefusedError

  The connection was refused by the peer (or timed out).

### RemoteHostClosedError

    public static final QAbstractSocket.SocketError RemoteHostClosedError

  The remote host closed the connection. Note that the client socket (i.e., this socket) will be closed after the remote close notification has been sent.

### HostNotFoundError

    public static final QAbstractSocket.SocketError HostNotFoundError

  The host address was not found.

### SocketAccessError

    public static final QAbstractSocket.SocketError SocketAccessError

  The socket operation failed because the application lacked the required privileges.

### SocketResourceError

    public static final QAbstractSocket.SocketError SocketResourceError

  The local system ran out of resources (e.g., too many sockets).

### SocketTimeoutError

    public static final QAbstractSocket.SocketError SocketTimeoutError

  The socket operation timed out.

### DatagramTooLargeError

    public static final QAbstractSocket.SocketError DatagramTooLargeError

  The datagram was larger than the operating system's limit (which can be as low as 8192 bytes).

### NetworkError

    public static final QAbstractSocket.SocketError NetworkError

  An error occurred with the network (e.g., the network cable was accidentally plugged out).

### AddressInUseError

    public static final QAbstractSocket.SocketError AddressInUseError

  The address specified to QUdpSocket::bind() is already in use and was set to be exclusive.

### SocketAddressNotAvailableError

    public static final QAbstractSocket.SocketError SocketAddressNotAvailableError

  The address specified to QUdpSocket::bind() does not belong to the host.

### UnsupportedSocketOperationError

    public static final QAbstractSocket.SocketError UnsupportedSocketOperationError

  The requested socket operation is not supported by the local operating system (e.g., lack of IPv6 support).

### UnfinishedSocketOperationError

    public static final QAbstractSocket.SocketError UnfinishedSocketOperationError

  Internal.

### ProxyAuthenticationRequiredError

    public static final QAbstractSocket.SocketError ProxyAuthenticationRequiredError

  The socket is using a proxy, and the proxy requires authentication.

### UnknownSocketError

    public static final QAbstractSocket.SocketError UnknownSocketError

  An unidentified error occurred.

Method Detail

### values

    public static final QAbstractSocket.SocketError[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractSocket.SocketError c : QAbstractSocket.SocketError.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractSocket.SocketError valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSocket.SocketError resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD